MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026047Open CASCADE[OCCT] OCCT:Data Exchangepublic2015-04-10 12:172020-11-28 13:05
Reporterado 
Assigned Todpasukhi 
PrioritynormalSeveritymajor 
StatusverifiedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] 6.9.0 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0026047: Data Exchange - Lost colors for IGES export
DescriptionThe problem extracted from the 25688.
It's reproduced on android and win64
Steps To Reproduce1. Open pencil.igs from Samples
2. Set Faces in the Options - Export IGES options
4. Save it as IGES
3. Open saved file
=> colors of conical and cylindrical parts are lost (compare pencil_initial.jpg and pencil_exportIGES-Faces.jpg)
TagsNo tags attached.
Test case numberbugs/iges/bug26047
Attached Filesjpg file icon pencil_initial.jpg (51,872 bytes) 2015-04-10 12:17
jpg file icon pencil_exportIGES-Faces.jpg (50,681 bytes) 2015-04-10 12:18

- Relationships
child of 0026168assignedgka Lost colors for IGES import 

-  Notes
(0040197)
git (administrator)
2015-04-24 11:06

Branch CR26047 has been created by ink.

SHA-1: 232bd4bb65d13d2872f0203d474f2e72cf22f9de


Detailed log of new commits:

Author: ink
Date: Fri Apr 24 11:04:32 2015 +0300

    0026047: Lost colors for IGES export
(0041567)
gka (developer)
2015-05-26 15:11

Branch CR26047 is ready to test
(0044966)
git (administrator)
2015-09-02 15:21

Branch CR26047 has been updated forcibly by mkv.

SHA-1: 6a2e8db6f7ed29b0da296cc30184b03e2296cf6d
(0045004)
mkv (tester)
2015-09-03 14:41

Dear BugMaster,
Branch CR26047 was rebased on current master of occt git-repository.
SHA-1: 6a2e8db6f7ed29b0da296cc30184b03e2296cf6d
(0045005)
mkv (tester)
2015-09-03 14:41

Dear BugMaster,
Branch CR26047 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 6a2e8db6f7ed29b0da296cc30184b03e2296cf6d

Number of compiler warnings:

occt component :
Linux: 15 (15 on master)
Windows: 0 (0 on master)

products component :
Linux: 39 (39 on master)
Windows: 0 (0 on master)

Regressions/Differences/Improvements:
http://occt-tests/CR26047-master-products-64/Debian70-64/summary.html [^]
http://occt-tests/CR26047-master-products-64/Windows-64-VC10/summary.html [^]
sat doc_1 E9
sat doc_4 E7
sat doc_6 D3, H5

Testing cases:


Testing on Linux:
occt component :
Total MEMORY difference: 92039529 / 91192751 [+0.93%]
Total CPU difference: 17622.739999998987 / 17162.109999999382 [+2.68%]
products component :
Total MEMORY difference: 25141649 / 25144817 [-0.01%]
Total CPU difference: 7069.739999999988 / 7020.5499999999965 [+0.70%]

Testing on Windows:
occt component :
Total MEMORY difference: 57097354 / 57089920 [+0.01%]
Total CPU difference: 16345.098375598987 / 16439.931383498915 [-0.58%]
products component :
Total MEMORY difference: 16167781 / 16167831 [-0.00%]
Total CPU difference: 5356.341135299979 / 5316.560880299963 [+0.75%]

There are no differences in images found by testdiff.
(0045006)
mkv (tester)
2015-09-03 14:42

Dear ink,
could you please write tcl-script for reproduce this bug.
(0047282)
git (administrator)
2015-10-21 15:15

Branch CR26047_1 has been created by kgv.

SHA-1: f4f3314674a63995ba84037df43aca9115317354


Detailed log of new commits:

Author: kgv
Date: Wed Oct 21 15:15:36 2015 +0300

    Add test case bugs/xde/bug26047

Author: ink
Date: Fri Apr 24 11:04:32 2015 +0300

    0026047: Lost colors for IGES export
(0047283)
kgv (developer)
2015-10-21 15:16

Test case has been added to the patch in branch CR26047_1.
(0047284)
kgv (developer)
2015-10-21 15:17

Dear gka,

could you please review test case and confirm tests reported as regression due to deviation from reference data?
(0047308)
git (administrator)
2015-10-22 09:15

Branch CR26047 has been deleted by kgv.

SHA-1: 6a2e8db6f7ed29b0da296cc30184b03e2296cf6d
(0069380)
git (administrator)
2017-08-15 12:30

Branch CR26047_2 has been created by abv.

SHA-1: 820980cccf4ca87161456f35d881a60a885635cc


Detailed log of new commits:

Author: ink
Date: Fri Apr 24 11:04:32 2015 +0300

    0026047: Lost colors for IGES export
    
    Method XSAlgo_AlgoContainer::MergeTransferInfo() is corrected to keep locations of sub-shapes when recording transfer results in the map.
    
    Add test case bugs/xde/bug26047
(0069393)
abv (manager)
2017-08-15 14:40

The fix leads to loss of some colors in ACIS tests:
sat doc_1 E9
sat doc_4 E7
sat doc_6 D3 H5
(0096673)
git (administrator)
2020-11-11 23:30

Branch CR26047_3 has been created by dpasukhi.

SHA-1: 0d511dd78e99c17e109aa430f22d15668f9d4a19


Detailed log of new commits:

Author: dpasukhi
Date: Wed Nov 11 14:23:30 2020 +0300

    0026047: Data Exchange - Lost colors for IGES export
    
    - Fix problem with write shape with locations
    - Add support for adding sub-shapes (labels) together with sub-shapes without location (only for IGES)
(0096677)
git (administrator)
2020-11-12 09:00

Branch CR26047_3 has been updated forcibly by dpasukhi.

SHA-1: 61baae0bf42dc1708d363d4ea6fa976b07052d62
(0096705)
dpasukhi (developer)
2020-11-12 14:20
edited on: 2020-11-12 14:29

Dear ika, please review CR26047_3
The bug was incorrect writing and reading of the shapes with locations.
- I update ShapeTools for adding subshape reference by no-locations(new class field, that enable before IGES import and disabled after it)
- Add support of find shape, that was edit(remove location), while export an IGES file

ALL tests are OK:
http://occt-tests/CR26047_3-master-dpasukhi-OCCT/Debian80-64/diff_summary.html [^]
http://occt-tests/CR26047_3-master-dpasukhi-OCCT/Windows-64-VC14/diff_summary.html [^]
http://occt-tests/CR26047_3-master-dpasukhi-Products/Debian80-64/diff_summary.html [^]
http://occt-tests/CR26047_3-master-dpasukhi-Products/Windows-64-VC14/diff_summary.html [^]

(0096709)
gka (developer)
2020-11-12 15:08

Could you please remove new redundant flags from XCAFDoc_ShapeTool and add comments
(0096733)
git (administrator)
2020-11-13 01:18

Branch CR26047_4 has been created by dpasukhi.

SHA-1: 969592d70fc79466299ee6a4e79288638c7ec133


Detailed log of new commits:

Author: dpasukhi
Date: Wed Nov 11 14:23:30 2020 +0300

    0026047: Data Exchange - Lost colors for IGES export
    
    - Fix problem with write shape with locations
    - Add support for adding sub-shapes (labels) together with sub-shapes without location
(0096998)
git (administrator)
2020-11-23 00:04

Branch CR26047_4 has been updated forcibly by dpasukhi.

SHA-1: e28d2b2b5fbbf75ff3a607648e17a5d86b61a371
(0097004)
dpasukhi (developer)
2020-11-23 09:43

Dear gka, please review CR26047_4
The bug was incorrect writing and reading of the shapes with locations.
- I update ShapeTools for adding subshape reference by no-locations
- Add support of find shape, that was edit(remove location), while export an IGES file

All tests are OK:
http://occt-tests/CR26047_3-master-dpasukhi-OCCT/Debian80-64/diff_summary.html [^]
http://occt-tests/CR26047_3-master-dpasukhi-OCCT/Windows-64-VC14/diff_summary.html [^]
http://occt-tests/CR26047_3-master-dpasukhi-Products/Debian80-64/diff_summary.html [^]
http://occt-tests/CR26047_3-master-dpasukhi-Products/Windows-64-VC14/diff_summary.html [^]
(0097006)
git (administrator)
2020-11-23 11:44

Branch CR26047_4 has been updated forcibly by dpasukhi.

SHA-1: 65eed8ff8e998318a380a2e0e14d59fc86e297c0
(0097015)
gka (developer)
2020-11-23 21:07

Branch CR26047_4 was reviewed
(0097116)
bugmaster (administrator)
2020-11-28 12:45

Combination -
OCCT branch : IR-2020-11-27
master SHA - 765e5bc192b506e546ba77d881d4929dc0f69b1a
a206de37fbfa0bf71bd534ae47192bbec23b8522
Products branch : IR-2020-11-27 SHA - 17b49a570b557fbeb7326a4adb10fa231b058aed
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 18049.94000000008 / 18024.44000000013 [+0.14%]
Products
Total CPU difference: 12325.960000000132 / 12167.95000000011 [+1.30%]
Windows-64-VC14:
OCCT
Total CPU difference: 19703.46875 / 19697.21875 [+0.03%]
Products
Total CPU difference: 13792.6875 / 13647.203125 [+1.07%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0097132)
git (administrator)
2020-11-28 13:05

Branch CR26047_4 has been deleted by inv.

SHA-1: 65eed8ff8e998318a380a2e0e14d59fc86e297c0
(0097137)
git (administrator)
2020-11-28 13:05

Branch CR26047_3 has been deleted by inv.

SHA-1: 61baae0bf42dc1708d363d4ea6fa976b07052d62
(0097139)
git (administrator)
2020-11-28 13:05

Branch CR26047_2 has been deleted by inv.

SHA-1: 820980cccf4ca87161456f35d881a60a885635cc
(0097140)
git (administrator)
2020-11-28 13:05

Branch CR26047_1 has been deleted by inv.

SHA-1: f4f3314674a63995ba84037df43aca9115317354

- Related Changesets
occt: master 65eed8ff
Timestamp: 2020-11-11 11:23:30
Author: dpasukhi
Details ] Diff ]
0026047: Data Exchange - Lost colors for IGES export

- Fix problem with write shape with locations ( IGESCAFControl_Writer.cxx )
- Add support for adding sub-shapes (labels) together with sub-shapes without location ( XCAFDoc_ShapeTool.cxx )
mod - src/IGESCAFControl/IGESCAFControl_Writer.cxx Diff ] File ]
mod - src/XCAFDoc/XCAFDoc_ShapeTool.cxx Diff ] File ]
add - tests/bugs/iges/bug26047 Diff ] File ]
mod - tests/de/iges_1/K2 Diff ] File ]
mod - tests/de/iges_1/K3 Diff ] File ]
mod - tests/de/iges_1/L7 Diff ] File ]
mod - tests/de/iges_1/Q6 Diff ] File ]
mod - tests/de/iges_2/B8 Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-04-10 12:17 ado New Issue
2015-04-10 12:17 ado Assigned To => abv
2015-04-10 12:17 ado File Added: pencil_initial.jpg
2015-04-10 12:18 ado File Added: pencil_exportIGES-Faces.jpg
2015-04-15 19:35 abv Assigned To abv => ink
2015-04-15 19:35 abv Status new => assigned
2015-04-24 11:06 git Note Added: 0040197
2015-04-24 11:39 ink Assigned To ink => oan
2015-04-24 11:39 ink Status assigned => resolved
2015-04-27 14:48 oan Assigned To oan => gka
2015-04-30 12:13 ink Relationship added child of 0026168
2015-05-26 15:11 gka Note Added: 0041567
2015-05-26 15:11 gka Assigned To gka => bugmaster
2015-05-26 15:11 gka Status resolved => reviewed
2015-09-02 12:12 aiv Project Internal => CAD Assistant
2015-09-02 12:12 aiv Category PRODUCTS:CAD Assistant => OCCT:Application Framework
2015-09-02 13:32 aiv Project CAD Assistant => Open CASCADE
2015-09-02 13:40 kgv Category OCCT:Application Framework => OCCT:Data Exchange
2015-09-02 13:40 kgv Product Version => 6.9.0
2015-09-02 13:40 kgv Target Version => 7.0.0
2015-09-02 14:48 mkv Assigned To bugmaster => mkv
2015-09-02 15:03 kgv OS => L
2015-09-02 15:03 kgv OS Version => L
2015-09-02 15:03 kgv Platform Android, win64 => A
2015-09-02 15:21 git Note Added: 0044966
2015-09-03 14:41 mkv Note Added: 0045004
2015-09-03 14:41 mkv Note Added: 0045005
2015-09-03 14:41 mkv Assigned To mkv => ink
2015-09-03 14:41 mkv Status reviewed => assigned
2015-09-03 14:42 mkv Note Added: 0045006
2015-09-08 15:40 ink Note Added: 0045236
2015-09-08 15:41 ink Note Deleted: 0045236
2015-10-21 15:15 git Note Added: 0047282
2015-10-21 15:16 kgv Note Added: 0047283
2015-10-21 15:17 kgv Note Added: 0047284
2015-10-21 15:17 kgv Assigned To ink => gka
2015-10-21 15:17 kgv Status assigned => feedback
2015-10-22 09:15 git Note Added: 0047308
2015-11-23 10:25 gka Assigned To gka => ink
2015-11-23 10:25 gka Status feedback => assigned
2015-12-18 14:39 abv Assigned To ink => gka
2015-12-30 14:12 ink Status assigned => resolved
2016-02-08 18:07 abv Target Version 7.0.0 => 7.1.0
2016-10-26 11:42 gka Target Version 7.1.0 => 7.2.0
2017-08-15 12:30 git Note Added: 0069380
2017-08-15 14:40 abv Note Added: 0069393
2017-08-15 14:41 abv Target Version 7.2.0 => 7.4.0
2017-08-15 14:41 abv Status resolved => assigned
2019-07-10 22:06 abv Target Version 7.4.0 => 7.5.0
2020-03-04 11:50 kgv Summary Lost colors for IGES export => Data Exchange - Lost colors for IGES export
2020-04-15 21:26 gka Assigned To gka => dpasukhi
2020-09-22 18:39 gka Target Version 7.5.0 => 7.6.0*
2020-11-11 23:30 git Note Added: 0096673
2020-11-12 09:00 git Note Added: 0096677
2020-11-12 14:20 dpasukhi Note Added: 0096705
2020-11-12 14:20 dpasukhi Assigned To dpasukhi => ika
2020-11-12 14:20 dpasukhi Status assigned => resolved
2020-11-12 14:29 dpasukhi Note Edited: 0096705 View Revisions
2020-11-12 15:08 gka Note Added: 0096709
2020-11-12 15:08 gka Assigned To ika => dpasukhi
2020-11-12 15:08 gka Status resolved => assigned
2020-11-13 01:18 git Note Added: 0096733
2020-11-23 00:04 git Note Added: 0096998
2020-11-23 09:43 dpasukhi Note Added: 0097004
2020-11-23 09:43 dpasukhi Assigned To dpasukhi => gka
2020-11-23 09:43 dpasukhi Status assigned => resolved
2020-11-23 11:44 git Note Added: 0097006
2020-11-23 21:07 gka Note Added: 0097015
2020-11-23 21:07 gka Assigned To gka => bugmaster
2020-11-23 21:07 gka Status resolved => reviewed
2020-11-28 12:45 bugmaster Note Added: 0097116
2020-11-28 12:45 bugmaster Status reviewed => tested
2020-11-28 12:49 bugmaster Test case number => bugs/iges/bug26047
2020-11-28 12:59 dpasukhi Changeset attached => occt master 65eed8ff
2020-11-28 12:59 dpasukhi Assigned To bugmaster => dpasukhi
2020-11-28 12:59 dpasukhi Status tested => verified
2020-11-28 12:59 dpasukhi Resolution open => fixed
2020-11-28 13:05 git Note Added: 0097132
2020-11-28 13:05 git Note Added: 0097137
2020-11-28 13:05 git Note Added: 0097139
2020-11-28 13:05 git Note Added: 0097140


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker